Official Events

The endpoint for the Events dataset, covering official events.

Retrieve multiple events based on search critera passed as GET Arguments

get/event/
Securityapi_key and username
Request
query Parameters
address
string

NOTE: Parameter accepts additional qualifiers appended to the end:
address__in - The value for the record is in the provided array parameter (comma-separated values).
address__contains, address__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
address__startswith, address__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
address__endswith, address__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
address__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
address__isnull - The value for the record is null (if true) or is not null.

amendment_mentions
Array of integers <int64>

The newamendments that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
amendment_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

archived
boolean
bill_mentions
Array of integers <int64>

The newbills that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
bill_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

chamber
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
chamber__in - The value for the record is in the provided array parameter (comma-separated values).
chamber__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name CongressChamber, for an explanation of values.

Enum: 1 2 3 4
committee_mentions
Array of integers <int64>

The committees that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
committee_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

description
string

NOTE: Parameter accepts additional qualifiers appended to the end:
description__in - The value for the record is in the provided array parameter (comma-separated values).
description__contains, description__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
description__startswith, description__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
description__endswith, description__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
description__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
description__isnull - The value for the record is null (if true) or is not null.

end
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
end__year, end__month, end__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

event_subtype
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
event_subtype__in - The value for the record is in the provided array parameter (comma-separated values).
event_subtype__gt, event_subtype__gte, event_subtype__lt, event_subtype__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
event_subtype__isnull - The value for the record is null (if true) or is not null.

event_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
event_type__in - The value for the record is in the provided array parameter (comma-separated values).
event_type__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name EventType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 34 35 36 37 38 39 40 41 42 1000
extra_info
string

String-encoded JSON Object. This field requires special handling.

hashtags
Array of integers <int64>

The Nones that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
hashtags__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

id
integer <int64>

Quorum ID (Primary Key)

issue_mentions
Array of integers <int64>

The billterms that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
issue_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

location
string

NOTE: Parameter accepts additional qualifiers appended to the end:
location__in - The value for the record is in the provided array parameter (comma-separated values).
location__contains, location__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
location__startswith, location__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
location__endswith, location__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
location__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
location__isnull - The value for the record is null (if true) or is not null.

organization_id
integer <int64>

The organization with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
organization__in - The value for the record is in the provided array parameter (comma-separated values).
organization__isnull - The value for the record is null (if true) or is not null.

person_mentions
Array of integers <int64>

The newpersons that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
person_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

point_person_id
integer <int64>

The quorumuser with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
point_person__in - The value for the record is in the provided array parameter (comma-separated values).
point_person__isnull - The value for the record is null (if true) or is not null.

region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
session_id
integer <int64>

The legsession with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
session__in - The value for the record is in the provided array parameter (comma-separated values).
session__isnull - The value for the record is null (if true) or is not null.

source_committee_id
integer <int64>

The committee with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_committee__in - The value for the record is in the provided array parameter (comma-separated values).
source_committee__isnull - The value for the record is null (if true) or is not null.

source_person_id
integer <int64>

The newperson with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_person__in - The value for the record is in the provided array parameter (comma-separated values).
source_person__isnull - The value for the record is null (if true) or is not null.

source_staffer_id
integer <int64>

The None with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
source_staffer__in - The value for the record is in the provided array parameter (comma-separated values).
source_staffer__isnull - The value for the record is null (if true) or is not null.

source_url
string

NOTE: Parameter accepts additional qualifiers appended to the end:
source_url__in - The value for the record is in the provided array parameter (comma-separated values).
source_url__contains, source_url__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
source_url__startswith, source_url__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
source_url__endswith, source_url__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
source_url__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
source_url__isnull - The value for the record is null (if true) or is not null.

sponsoring_organization_id
integer <int64>

The publicorganization with which this event is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
sponsoring_organization__in - The value for the record is in the provided array parameter (comma-separated values).
sponsoring_organization__isnull - The value for the record is null (if true) or is not null.

subject
string

NOTE: Parameter accepts additional qualifiers appended to the end:
subject__in - The value for the record is in the provided array parameter (comma-separated values).
subject__contains, subject__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
subject__startswith, subject__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
subject__endswith, subject__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
subject__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
subject__isnull - The value for the record is null (if true) or is not null.

vote_mentions
Array of integers <int64>

The votes that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
vote_mentions__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

when
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
when__year, when__month, when__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

witnesses
Array of integers <int64>

The committeewitnesss that are associated with this event.

NOTE: Parameter accepts additional qualifiers appended to the end:
witnesses__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
point_person_name - expand point_person_name with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "point_person_name" "resource_uri"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

Event retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "address": "string",
  • "alert_cache": { },
  • "amendment_mentions": [
    ],
  • "archived": false,
  • "availability": 1,
  • "bill_mentions": [
    ],
  • "chamber": 1,
  • "committee_mentions": [
    ],
  • "created": "2019-08-24T14:15:22Z",
  • "cspan_channel": 0,
  • "cspan_id": 0,
  • "description": "string",
  • "duration": 0,
  • "end": "2019-08-24T14:15:22Z",
  • "event_subtype": 0,
  • "event_type": 1,
  • "expected_number_of_transcripts": 0,
  • "extra_info": { },
  • "fact_squared_meeting_status": 1,
  • "fact_squared_slug": "string",
  • "full_transcript_url": "string",
  • "id": 0,
  • "is_cancelled": true,
  • "is_custom_all_day_event": false,
  • "issue_mentions": [
    ],
  • "local_video_path": "string",
  • "location": "string",
  • "meeting_video_pipeline_status": 1,
  • "organization": "/api/organization/1/",
  • "original_content": "string",
  • "original_number_of_transcripts": 0,
  • "person_mentions": [
    ],
  • "plain_subject": "string",
  • "point_person": "/api/user/1/",
  • "point_person_name": "string",
  • "region": 1,
  • "related_documents": [
    ],
  • "resource_uri": "string",
  • "revai_job_id": "string",
  • "search_date": "string",
  • "sequence_time_cache": { },
  • "source_committee": "/api/committee/1/",
  • "source_committee_name": "string",
  • "source_url": "string",
  • "source_video_url": "string",
  • "sponsoring_organization": "/api/publicorganization/1/",
  • "sponsoring_organization_name": "string",
  • "status": 0,
  • "status_text": "string",
  • "subject": "string",
  • "transcript_s3_file_name": "string",
  • "transcription_pipeline_history": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "video_url": "string",
  • "vote_mentions": [
    ],
  • "when": "2019-08-24T14:15:22Z",
  • "witnesses": [
    ]
}

Create a single Official Events

post/event/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
address
string
archived
boolean
description
string
end
string <date-time>
is_custom_all_day_event
boolean
location
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this event is associated.

point_person_id
string <{"id": QUORUM_ID}>

The quorumuser with which this event is associated.

sponsoring_organization_id
string <{"id": QUORUM_ID}>

The publicorganization with which this event is associated.

subject
string
when
string <date-time>
Responses
200

Event retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "address": "string",
  • "archived": true,
  • "description": "string",
  • "end": "2019-08-24T14:15:22Z",
  • "is_custom_all_day_event": true,
  • "location": "string",
  • "organization_id": "string",
  • "point_person_id": "string",
  • "sponsoring_organization_id": "string",
  • "subject": "string",
  • "when": "2019-08-24T14:15:22Z"
}
Response samples
application/json
{
  • "_extra": { },
  • "address": "string",
  • "alert_cache": { },
  • "amendment_mentions": [
    ],
  • "archived": false,
  • "availability": 1,
  • "bill_mentions": [
    ],
  • "chamber": 1,
  • "committee_mentions": [
    ],
  • "created": "2019-08-24T14:15:22Z",
  • "cspan_channel": 0,
  • "cspan_id": 0,
  • "description": "string",
  • "duration": 0,
  • "end": "2019-08-24T14:15:22Z",
  • "event_subtype": 0,
  • "event_type": 1,
  • "expected_number_of_transcripts": 0,
  • "extra_info": { },
  • "fact_squared_meeting_status": 1,
  • "fact_squared_slug": "string",
  • "full_transcript_url": "string",
  • "id": 0,
  • "is_cancelled": true,
  • "is_custom_all_day_event": false,
  • "issue_mentions": [
    ],
  • "local_video_path": "string",
  • "location": "string",
  • "meeting_video_pipeline_status": 1,
  • "organization": "/api/organization/1/",
  • "original_content": "string",
  • "original_number_of_transcripts": 0,
  • "person_mentions": [
    ],
  • "plain_subject": "string",
  • "point_person": "/api/user/1/",
  • "point_person_name": "string",
  • "region": 1,
  • "related_documents": [
    ],
  • "resource_uri": "string",
  • "revai_job_id": "string",
  • "search_date": "string",
  • "sequence_time_cache": { },
  • "source_committee": "/api/committee/1/",
  • "source_committee_name": "string",
  • "source_url": "string",
  • "source_video_url": "string",
  • "sponsoring_organization": "/api/publicorganization/1/",
  • "sponsoring_organization_name": "string",
  • "status": 0,
  • "status_text": "string",
  • "subject": "string",
  • "transcript_s3_file_name": "string",
  • "transcription_pipeline_history": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "video_url": "string",
  • "vote_mentions": [
    ],
  • "when": "2019-08-24T14:15:22Z",
  • "witnesses": [
    ]
}

Retrieve information on a single Official Event

get/event/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
point_person_name - expand point_person_name with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "point_person_name" "resource_uri"
Responses
200

Event retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "address": "string",
  • "alert_cache": { },
  • "amendment_mentions": [
    ],
  • "archived": false,
  • "availability": 1,
  • "bill_mentions": [
    ],
  • "chamber": 1,
  • "committee_mentions": [
    ],
  • "created": "2019-08-24T14:15:22Z",
  • "cspan_channel": 0,
  • "cspan_id": 0,
  • "description": "string",
  • "duration": 0,
  • "end": "2019-08-24T14:15:22Z",
  • "event_subtype": 0,
  • "event_type": 1,
  • "expected_number_of_transcripts": 0,
  • "extra_info": { },
  • "fact_squared_meeting_status": 1,
  • "fact_squared_slug": "string",
  • "full_transcript_url": "string",
  • "id": 0,
  • "is_cancelled": true,
  • "is_custom_all_day_event": false,
  • "issue_mentions": [
    ],
  • "local_video_path": "string",
  • "location": "string",
  • "meeting_video_pipeline_status": 1,
  • "organization": "/api/organization/1/",
  • "original_content": "string",
  • "original_number_of_transcripts": 0,
  • "person_mentions": [
    ],
  • "plain_subject": "string",
  • "point_person": "/api/user/1/",
  • "point_person_name": "string",
  • "region": 1,
  • "related_documents": [
    ],
  • "resource_uri": "string",
  • "revai_job_id": "string",
  • "search_date": "string",
  • "sequence_time_cache": { },
  • "source_committee": "/api/committee/1/",
  • "source_committee_name": "string",
  • "source_url": "string",
  • "source_video_url": "string",
  • "sponsoring_organization": "/api/publicorganization/1/",
  • "sponsoring_organization_name": "string",
  • "status": 0,
  • "status_text": "string",
  • "subject": "string",
  • "transcript_s3_file_name": "string",
  • "transcription_pipeline_history": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "video_url": "string",
  • "vote_mentions": [
    ],
  • "when": "2019-08-24T14:15:22Z",
  • "witnesses": [
    ]
}

Update a single Official Events by ID

patch/event/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
address
string
archived
boolean
description
string
end
string <date-time>
is_custom_all_day_event
boolean
location
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this event is associated.

point_person_id
string <{"id": QUORUM_ID}>

The quorumuser with which this event is associated.

sponsoring_organization_id
string <{"id": QUORUM_ID}>

The publicorganization with which this event is associated.

subject
string
when
string <date-time>
Responses
200

Event retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "address": "string",
  • "archived": true,
  • "description": "string",
  • "end": "2019-08-24T14:15:22Z",
  • "is_custom_all_day_event": true,
  • "location": "string",
  • "organization_id": "string",
  • "point_person_id": "string",
  • "sponsoring_organization_id": "string",
  • "subject": "string",
  • "when": "2019-08-24T14:15:22Z"
}
Response samples
application/json
{
  • "_extra": { },
  • "address": "string",
  • "alert_cache": { },
  • "amendment_mentions": [
    ],
  • "archived": false,
  • "availability": 1,
  • "bill_mentions": [
    ],
  • "chamber": 1,
  • "committee_mentions": [
    ],
  • "created": "2019-08-24T14:15:22Z",
  • "cspan_channel": 0,
  • "cspan_id": 0,
  • "description": "string",
  • "duration": 0,
  • "end": "2019-08-24T14:15:22Z",
  • "event_subtype": 0,
  • "event_type": 1,
  • "expected_number_of_transcripts": 0,
  • "extra_info": { },
  • "fact_squared_meeting_status": 1,
  • "fact_squared_slug": "string",
  • "full_transcript_url": "string",
  • "id": 0,
  • "is_cancelled": true,
  • "is_custom_all_day_event": false,
  • "issue_mentions": [
    ],
  • "local_video_path": "string",
  • "location": "string",
  • "meeting_video_pipeline_status": 1,
  • "organization": "/api/organization/1/",
  • "original_content": "string",
  • "original_number_of_transcripts": 0,
  • "person_mentions": [
    ],
  • "plain_subject": "string",
  • "point_person": "/api/user/1/",
  • "point_person_name": "string",
  • "region": 1,
  • "related_documents": [
    ],
  • "resource_uri": "string",
  • "revai_job_id": "string",
  • "search_date": "string",
  • "sequence_time_cache": { },
  • "source_committee": "/api/committee/1/",
  • "source_committee_name": "string",
  • "source_url": "string",
  • "source_video_url": "string",
  • "sponsoring_organization": "/api/publicorganization/1/",
  • "sponsoring_organization_name": "string",
  • "status": 0,
  • "status_text": "string",
  • "subject": "string",
  • "transcript_s3_file_name": "string",
  • "transcription_pipeline_history": { },
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "video_url": "string",
  • "vote_mentions": [
    ],
  • "when": "2019-08-24T14:15:22Z",
  • "witnesses": [
    ]
}